--- old/usr/src/head/aio.h	Sat Aug  2 23:27:02 2014
+++ new/usr/src/head/aio.h	Sat Aug  2 23:27:02 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _AIO_H
 #define	_AIO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 #include <sys/fcntl.h>
@@ -104,7 +104,6 @@
 /*
  * function prototypes
  */
-#if	defined(__STDC__)
 extern int	aio_read(aiocb_t *);
 extern int	aio_write(aiocb_t *);
 extern int	lio_listio(int,
@@ -137,32 +136,6 @@
 		    const struct timespec *);
 #endif	/* _LARGEFILE64_SOURCE */
 
-#else
-extern int	aio_read();
-extern int	aio_write();
-extern int	lio_listio();
-extern int	aio_error();
-extern ssize_t	aio_return();
-extern int	aio_cancel();
-extern int	aio_suspend();
-extern int	aio_fsync();
-extern int	aio_waitn();
-
-#if defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	!defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int	aio_read64();
-extern int	aio_write64();
-extern int	lio_listio64();
-extern int	aio_error64();
-extern ssize_t	aio_return64();
-extern int	aio_cancel64();
-extern int	aio_suspend64();
-extern int	aio_fsync64();
-extern int	aio_waitn64();
-#endif	/* _LARGEFILE64_SOURCE */
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/alloca.h	Sat Aug  2 23:27:02 2014
+++ new/usr/src/head/alloca.h	Sat Aug  2 23:27:02 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_ALLOCA_H
 #define	_ALLOCA_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 
 #ifdef __cplusplus
@@ -56,19 +56,11 @@
 	defined(__sparc) || defined(__i386) || defined(__amd64)
 #define	alloca(x)	__builtin_alloca(x)
 
-#ifdef	__STDC__
 extern void *__builtin_alloca(size_t);
-#else
-extern void *__builtin_alloca();
-#endif
 
 #else
 
-#ifdef	__STDC__
 extern void *alloca(size_t);
-#else
-extern void *alloca();
-#endif
 
 #endif	/* defined(__BUILTIN_VA_ARG_INCR) || defined(__sparc) ... */
 
--- old/usr/src/head/apptrace_impl.h	Sat Aug  2 23:27:02 2014
+++ new/usr/src/head/apptrace_impl.h	Sat Aug  2 23:27:02 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,8 +28,6 @@
 #ifndef	_APPTRACE_IMPL_H
 #define	_APPTRACE_IMPL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -46,8 +46,6 @@
 
 extern sigset_t abisigset;
 
-#ifdef	__STDC__
-
 extern void abilock(sigset_t *);
 extern void abiunlock(sigset_t *);
 
@@ -60,20 +58,6 @@
 extern int (*abi_mutex_lock)(mutex_t *);
 extern int (*abi_mutex_unlock)(mutex_t *);
 
-#else	/* __STDC__ */
-
-extern void abilock();
-extern void abiunlock();
-extern int	is_empty_string();
-extern int (*abi_thr_main)();
-extern thread_t (*abi_thr_self)();
-extern int (*abi_sigsetmask)();
-extern int (*abi_sigaction)();
-extern int (*abi_mutex_lock)();
-extern int (*abi_mutex_unlock)();
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/arpa/inet.h	Sat Aug  2 23:27:02 2014
+++ new/usr/src/head/arpa/inet.h	Sat Aug  2 23:27:02 2014
@@ -18,6 +18,8 @@
  *
  * CDDL HEADER END
  *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -54,7 +56,6 @@
  * External definitions for
  * functions in inet(3N)
  */
-#ifdef __STDC__
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 extern int inet_net_pton(int, const char *, void *, size_t);
 extern boolean_t inet_matchaddr(const void *, const char *);
@@ -88,24 +89,6 @@
 extern uint_t inet_nsap_addr(const char *, uchar_t *, int);
 extern char *inet_nsap_ntoa(int, const uchar_t *, char *);
 
-#else
-unsigned long inet_addr();
-char	*inet_ntoa();
-/*
- * With the introduction of CIDR the
- * following 4 routines are now considered to be Obsolete
- */
-struct	in_addr inet_makeaddr();
-unsigned long inet_network();
-extern unsigned long inet_lnaof();
-extern unsigned long inet_netof();
-
-extern int inet_pton();
-extern const char *inet_ntop();
-extern int inet_aton();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/assert.h	Sat Aug  2 23:27:02 2014
+++ new/usr/src/head/assert.h	Sat Aug  2 23:27:03 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,21 +32,15 @@
 #ifndef	_ASSERT_H
 #define	_ASSERT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6.1.4 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 #if __STDC_VERSION__ - 0 >= 199901L
 extern void __assert_c99(const char *, const char *, int, const char *);
 #else
 extern void __assert(const char *, const char *, int);
 #endif /* __STDC_VERSION__ - 0 >= 199901L */
-#else
-extern void _assert();
-#endif
 
 #ifdef	__cplusplus
 }
@@ -68,7 +63,6 @@
 
 #else
 
-#if defined(__STDC__)
 #if __STDC_VERSION__ - 0 >= 199901L
 #define	assert(EX) (void)((EX) || \
 	(__assert_c99(#EX, __FILE__, __LINE__, __func__), 0))
@@ -75,8 +69,5 @@
 #else
 #define	assert(EX) (void)((EX) || (__assert(#EX, __FILE__, __LINE__), 0))
 #endif /* __STDC_VERSION__ - 0 >= 199901L */
-#else
-#define	assert(EX) (void)((EX) || (_assert("EX", __FILE__, __LINE__), 0))
-#endif	/* __STDC__ */
 
 #endif	/* NDEBUG */
--- old/usr/src/head/attr.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/attr.h	Sat Aug  2 23:27:03 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,8 +28,6 @@
 #ifndef	_ATTR_H
 #define	_ATTR_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6.1.7 */
-
 #include <sys/types.h>
 #include <sys/nvpair.h>
 #include <sys/attr.h>
@@ -36,22 +36,11 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 extern int getattrat(int, xattr_view_t, const char *, nvlist_t **);
 extern int fgetattr(int, xattr_view_t, nvlist_t **);
 extern int setattrat(int, xattr_view_t, const char *, nvlist_t *);
 extern int fsetattr(int, xattr_view_t, nvlist_t *);
 
-#else	/* defined(__STDC__) */
-
-extern int getattrat();
-extern int fgetattr();
-extern int setattrat();
-extern int fsetattr();
-
-#endif	/* defined(__STDC__) */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/auth_attr.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/auth_attr.h	Sat Aug  2 23:27:03 2014
@@ -20,6 +20,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1999 by Sun Microsystems, Inc. All rights reserved.
  */
 
@@ -26,8 +27,6 @@
 #ifndef	_AUTH_ATTR_H
 #define	_AUTH_ATTR_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -90,7 +89,6 @@
 	kva_t  *attr;		/* array of key-value pair attributes */
 } authattr_t;
 
-#ifdef __STDC__
 extern authattr_t *getauthnam(const char *);
 extern authattr_t *getauthattr(void);
 extern void setauthattr(void);
@@ -98,16 +96,6 @@
 extern void free_authattr(authattr_t *);
 extern int chkauthattr(const char *, const char *);
 
-#else				/* not __STDC__ */
-
-extern authattr_t *getauthnam();
-extern authattr_t *getauthattr();
-extern void setauthattr();
-extern void endauthattr();
-extern void free_authattr();
-extern int chkauthattr();
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/config_admin.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/config_admin.h	Sat Aug  2 23:27:03 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1998-2002 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_CONFIG_ADMIN_H
 #define	_SYS_CONFIG_ADMIN_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * config_admin.h
  *
@@ -176,8 +176,6 @@
 } cfga_err_t;
 
 
-#if defined(__STDC__)
-
 /*
  * config_admin.3x library interfaces
  */
@@ -256,13 +254,6 @@
 
 #endif /* CFGA_PLUGIN_LIB */
 
-#else /* !defined __STDC__ */
-
-extern const char *config_strerror();
-extern int config_ap_id_cmp();
-
-#endif /* __STDC__ */
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/head/crypt.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/crypt.h	Sat Aug  2 23:27:03 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef	_CRYPT_H
 #define	_CRYPT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.1	*/
-
 #include <pwd.h>
 
 #ifdef	__cplusplus
@@ -42,7 +42,6 @@
 
 #define	CRYPT_MAXCIPHERTEXTLEN	512
 
-#if defined(__STDC__)
 extern char *crypt(const char *, const char *);
 extern char *crypt_gensalt(const char *, const struct passwd *);
 extern char *crypt_genhash_impl(char *, size_t, const char *,
@@ -57,20 +56,6 @@
 extern int run_crypt(long, char *, unsigned, int *);
 extern int run_setkey(int *, const char *);
 extern void setkey(const char *);
-#else
-extern char *crypt();
-extern char *crypt_gensalt();
-extern char *crypt_genhash_impl();
-extern char *crytp_gensalt_impl();
-extern int crypt_close();
-extern char *des_crypt();
-extern void des_encrypt();
-extern void des_setkey();
-extern void encrypt();
-extern int run_crypt();
-extern int run_setkey();
-extern void setkey();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/ctype.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/ctype.h	Sat Aug  2 23:27:03 2014
@@ -24,12 +24,11 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-/*
- * Copyright 2014 Garrett D'Amore <garrett@damore.org>
- */
 
 #ifndef _CTYPE_H
 #define	_CTYPE_H
@@ -63,8 +62,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 #if defined(__EXTENSIONS__) || \
 	((!defined(_STRICT_STDC) && !defined(_POSIX_C_SOURCE)) || \
 	defined(_XOPEN_SOURCE))
@@ -112,19 +109,6 @@
 
 #endif /* defined(_XPG7) || !defined(_STRICT_SYMBOLS) */
 
-#else	/* defined(__STDC__) */
-
-#if !defined(__lint)
-
-#define	isascii(c)	(!(((int)(c)) & ~0177))
-#define	_toupper(c)	(isascii(c) ? __trans_upper[(int)(c)] : toupper(c))
-#define	_tolower(c)	(isascii(c) ? __trans_lower[(int)(c)] : tolower(c))
-#define	toascii(c)	(((int)(c)) & 0177)
-
-#endif	/* !defined(__lint) */
-
-#endif	/* defined(__STDC__) */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/deflt.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/deflt.h	Sat Aug  2 23:27:03 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -59,7 +61,6 @@
 
 #define	DC_STD		((0) | (DC_CASE))
 
-#ifdef __STDC__
 extern int defcntl(int, int);
 extern int defopen(char *);
 extern char *defread(char *);
@@ -68,17 +69,7 @@
 extern void	*defopen_r(const char *);
 extern char	*defread_r(const char *, void *);
 extern void	defclose_r(void *);
-#else
-extern int defcntl();
-extern int defopen();
-extern char *defread();
 
-extern int	defcntl_r();
-extern void	*defopen_r();
-extern char	*defread_r();
-extern void	defclose_r();
-#endif
-
 #define	TURNON(flags, mask)	((flags) |= (mask))
 #define	TURNOFF(flags, mask)	((flags) &= ~(mask))
 #define	ISON(flags, mask)	(((flags) & (mask)) == (mask))
--- old/usr/src/head/dial.h	Sat Aug  2 23:27:03 2014
+++ new/usr/src/head/dial.h	Sat Aug  2 23:27:03 2014
@@ -19,15 +19,15 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef _DIAL_H
 #define	_DIAL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.2	*/
-
 #ifndef IUCLC
 #include <sys/termio.h>
 #endif
@@ -76,18 +76,9 @@
 	int	dev_len;	/* unused */
 } CALL;
 
-#if defined(__STDC__)
-
 extern int dial(CALL);
 extern void undial(int);
 
-#else
-
-extern int dial();
-extern void undial();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/dirent.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/dirent.h	Sat Aug  2 23:27:04 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef _DIRENT_H
 #define	_DIRENT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6.1.5   */
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -69,8 +69,6 @@
 
 #endif /* !defined(__XOPEN_OR_POSIX) */
 
-#if defined(__STDC__)
-
 /* large file compilation environment setup */
 #if !defined(_LP64) && _FILE_OFFSET_BITS == 64
 #ifdef __PRAGMA_REDEFINE_EXTNAME
@@ -133,33 +131,8 @@
 #endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) */
 #endif
 
-#else
-
-extern DIR		*opendir();
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_ATFILE_SOURCE)
-extern DIR		*fdopendir();
-extern int		dirfd();
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
-extern struct dirent	*readdir();
 #if defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) || \
 	defined(_XOPEN_SOURCE)
-extern long		telldir();
-extern void		seekdir();
-#endif /* defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) ... */
-extern void		rewinddir();
-extern int		closedir();
-
-/* transitional large file interface */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern struct dirent64	*readdir64();
-#endif
-
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) || \
-	defined(_XOPEN_SOURCE)
 #define	rewinddir(dirp)	seekdir(dirp, 0L)
 #endif
 
@@ -182,8 +155,6 @@
 	!defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE - 0 >= 199506L) || \
 	defined(_POSIX_PTHREAD_SEMANTICS)
 
-#if	defined(__STDC__)
-
 #if	!defined(_LP64) && _FILE_OFFSET_BITS == 32
 
 #if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
@@ -243,66 +214,6 @@
 	struct dirent64 **_RESTRICT_KYWD);
 #endif
 
-#else  /* __STDC__ */
-
-#if	!defined(_LP64) && _FILE_OFFSET_BITS == 32
-
-#if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname readdir_r __posix_readdir_r
-extern int readdir_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern int __posix_readdir_r();
-
-#ifdef	__lint
-#define	readdir_r __posix_readdir_r
-#else	/* !__lint */
-
-static int
-readdir_r(DIR *_RESTRICT_KYWD __dp, struct dirent *_RESTRICT_KYWD __ent,
-	struct dirent **_RESTRICT_KYWD __res)
-{
-	return (__posix_readdir_r(__dp, __ent, __res));
-}
-
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-extern struct dirent *readdir_r();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#else	/* !_LP64 && _FILE_OFFSET_BITS == 32 */
-
-#if defined(_LP64)
-#ifdef	__PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname readdir64_r	readdir_r
-#else
-#define	readdir64_r	readdir
-#endif
-#else	/* _LP64 */
-#ifdef	__PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname readdir_r readdir64_r
-#else
-#define	readdir_r readdir64_r
-#endif
-#endif	/* _LP64 */
-extern int	readdir_r();
-
-#endif	/* !_LP64 && _FILE_OFFSET_BITS == 32 */
-
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-/* transitional large file interface */
-extern int 	readdir64_r();
-#endif
-
-#endif /* __STDC__ */
-
 #endif /* defined(__EXTENSIONS__) || defined(_REENTRANT)... */
 
 #ifdef	__cplusplus
--- old/usr/src/head/dlfcn.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/dlfcn.h	Sat Aug  2 23:27:04 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  *
  *	Copyright (c) 1989 AT&T
@@ -44,7 +45,6 @@
  * Information structures for various dlinfo() requests.
  */
 #if !defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
-#ifdef __STDC__
 typedef struct	dl_info {
 	const char	*dli_fname;	/* file containing address range */
 	void		*dli_fbase;	/* base address of file image */
@@ -51,14 +51,6 @@
 	const char	*dli_sname;	/* symbol name */
 	void		*dli_saddr;	/* symbol address */
 } Dl_info;
-#else
-typedef struct	dl_info {
-	char		*dli_fname;
-	void		*dli_fbase;
-	char		*dli_sname;
-	void		*dli_saddr;
-} Dl_info;
-#endif /* __STDC__ */
 typedef	Dl_info		Dl_info_t;
 
 typedef struct	dl_serpath {
@@ -114,7 +106,6 @@
 /*
  * Declarations used for dynamic linking support routines.
  */
-#ifdef __STDC__
 extern void	*dlopen(const char *, int);
 extern void   	*dlsym(void *_RESTRICT_KYWD, const char *_RESTRICT_KYWD);
 extern int	dlclose(void *);
@@ -127,20 +118,6 @@
 extern int	dlinfo(void *, int, void *);
 extern Dl_amd64_unwindinfo  *dlamd64getunwind(void *, Dl_amd64_unwindinfo *);
 #endif /* !defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__) */
-#else
-extern void	*dlopen();
-extern void	*dlsym();
-extern int	dlclose();
-extern char	*dlerror();
-#if !defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
-extern void 	*dlmopen();
-extern int	dladdr();
-extern int	dladdr1();
-extern int	dldump();
-extern int	dlinfo();
-extern Dl_amd64_unwindinfo  *dlamd64getunwind();
-#endif /* !defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__) */
-#endif /* __STDC__ */
 
 #pragma unknown_control_flow(dlopen, dlsym, dlclose, dlerror)
 #if !defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
--- old/usr/src/head/euc.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/euc.h	Sat Aug  2 23:27:04 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _EUC_H
 #define	_EUC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/euc.h>
 
 #ifdef	__cplusplus
@@ -34,16 +35,11 @@
 extern "C" {
 #endif
 
-#ifdef	__STDC__
 extern int csetcol(int n);	/* Returns # of columns for codeset n. */
 extern int csetlen(int n);	/* Returns # of bytes excluding SSx. */
 extern int euclen(const unsigned char *s);
 extern int euccol(const unsigned char *s);
 extern int eucscol(const unsigned char *str);
-#else	/* __STDC__ */
-extern int csetlen(), csetcol();
-extern int euclen(), euccol(), eucscol();
-#endif	/* __STDC__ */
 
 /* Returns code set number for the first byte of an EUC char. */
 #define	csetno(c) \
@@ -52,7 +48,6 @@
 /*
  * Copied from _wchar.h of SVR4
  */
-#if defined(__STDC__)
 #define	multibyte	(__ctype[520] > 1)
 #define	eucw1		__ctype[514]
 #define	eucw2		__ctype[515]
@@ -60,15 +55,6 @@
 #define	scrw1		__ctype[517]
 #define	scrw2		__ctype[518]
 #define	scrw3		__ctype[519]
-#else
-#define	multibyte	(_ctype[520] > 1)
-#define	eucw1		_ctype[514]
-#define	eucw2		_ctype[515]
-#define	eucw3		_ctype[516]
-#define	scrw1		_ctype[517]
-#define	scrw2		_ctype[518]
-#define	scrw3		_ctype[519]
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/exec_attr.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/exec_attr.h	Sat Aug  2 23:27:04 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -129,7 +131,6 @@
 } _priv_execattr;		/* Un-supported. For Sun internal use only */
 
 
-#ifdef    __STDC__
 extern execattr_t *getexecattr(void);
 extern execattr_t *getexecuser(const char *, const char *, const char *, int);
 extern execattr_t *getexecprof(const char *, const char *, const char *, int);
@@ -139,17 +140,6 @@
 extern void setexecattr(void);
 extern void endexecattr(void);
 
-#else				/* not __STDC__ */
-
-extern execattr_t *getexecattr();
-extern execattr_t *getexecuser();
-extern execattr_t *getexecprof();
-extern execattr_t *match_execattr();
-extern void setexecattr();
-extern void endexecattr();
-extern void free_execattr();
-#endif
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/head/execinfo.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/execinfo.h	Sat Aug  2 23:27:04 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,8 +28,6 @@
 #ifndef	_EXECINFO_H
 #define	_EXECINFO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * These functions provide glibc-compatible backtrace functionality.
  * Improved functionality is available using Solaris-specific APIs;
@@ -37,15 +37,9 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 extern int backtrace(void **, int);
 extern char **backtrace_symbols(void *const *, int);
 extern void backtrace_symbols_fd(void *const *, int, int);
-#else
-extern int backtrace();
-extern char **backtrace_symbols();
-extern void backtrace_symbols_fd();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/fcntl.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/fcntl.h	Sat Aug  2 23:27:04 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef	_FCNTL_H
 #define	_FCNTL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6.1.7 */
-
 #include <sys/feature_tests.h>
 #if defined(__EXTENSIONS__) || defined(_XPG4)
 #include <sys/stat.h>
@@ -128,8 +128,6 @@
 #endif
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#if defined(__STDC__)
-
 extern int fcntl(int, int, ...);
 extern int open(const char *, int, ...);
 extern int creat(const char *, mode_t);
@@ -162,43 +160,6 @@
 #endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
 #endif
 
-#else	/* defined(__STDC__) */
-
-extern int fcntl();
-extern int open();
-extern int creat();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-extern int posix_fadvise();
-extern int posix_fallocate();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || ... */
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_ATFILE_SOURCE)
-extern int openat();
-extern int attropen();
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern int directio();
-#endif
-
-/* transitional large file interface versions */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int open64();
-extern int creat64();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-extern int posix_fadvise64();
-extern int posix_fallocate64();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || ... */
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_ATFILE_SOURCE)
-extern int openat64();
-extern int attropen64();
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
-#endif
-
-#endif	/* defined(__STDC__) */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/float.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/float.h	Sat Aug  2 23:27:04 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _FLOAT_H
 #define	_FLOAT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #ifdef	__cplusplus
@@ -41,20 +41,13 @@
 
 #if defined(__sparc)
 
-#if defined(__STDC__)
 extern int __flt_rounds(void);
-#else	/* defined(__STDC__) */
-extern int __flt_rounds();
-#endif	/* defined(__STDC__) */
 #define	FLT_ROUNDS	__flt_rounds()
 
 #else /* defined(__sparc) */
 
-#if defined(__STDC__)
 extern int __fltrounds(void);
-#else	/* defined (__STDC__) */
-extern int __fltrounds();
-#endif	/* defined(__STDC__) */
+
 #if defined(__amd64)
 #define	FLT_ROUNDS	__fltrounds()
 #else	/* defined(__amd64) */
--- old/usr/src/head/fmtmsg.h	Sat Aug  2 23:27:04 2014
+++ new/usr/src/head/fmtmsg.h	Sat Aug  2 23:27:04 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1996-2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef	_FMTMSG_H
 #define	_FMTMSG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3	*/
-
 #include <sys/feature_tests.h>
 
 #ifdef	__cplusplus
@@ -197,19 +197,11 @@
 /* Function definition */
 
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-#if defined(__STDC__)
 int	addseverity(int, const char *);
-#else /* __STDC__ */
-int	addseverity();
-#endif  /* __STDC__ */
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
-#if defined(__STDC__)
 int	fmtmsg(long, const char *, int, const char *, const char *,
 	    const char *);
-#else /* __STDC__ */
-int	fmtmsg();
-#endif  /* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/fnmatch.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/fnmatch.h	Sat Aug  2 23:27:05 2014
@@ -20,6 +20,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1994 by Sun Microsystems, Inc.
  * Copyright 1985, 1994 by Mortice Kern Systems Inc.  All rights reserved.
  */
@@ -27,8 +28,6 @@
 #ifndef	_FNMATCH_H
 #define	_FNMATCH_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -43,11 +42,7 @@
 #define	FNM_ERROR	2	/* error occured */
 #define	FNM_NOSYS	3	/* Function (XPG4) not supported */
 
-#if defined(__STDC__)
 extern int fnmatch(const char *, const char *, int);
-#else
-extern int fnmatch();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/ftw.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/ftw.h	Sat Aug  2 23:27:05 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef	_FTW_H
 #define	_FTW_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -122,8 +122,6 @@
 #endif	/* __PRAGMA_REDEFINE_EXTNAME */
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#if defined(__STDC__)
-
 extern int ftw(const char *,
 	int (*)(const char *, const struct stat *, int), int);
 extern int _xftw(int, const char *,
@@ -150,26 +148,6 @@
 #endif /* !defined(_XOPEN_SOURCE) */
 #endif /* _LARGEFILE64_SOURCE .. */
 
-#else /* __STDC__ */
-
-extern int ftw(), _xftw();
-
-#if defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE) || defined(_XPG4_2)
-extern int nftw();
-#endif /* defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE) ... */
-
-/* transitional large file interface versions */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int ftw64();
-extern int _xftw64();
-#if !defined(_XOPEN_SOURCE)
-extern int nftw64();
-#endif /* !defined(_XOPEN_SOURCE) */
-#endif /* _LARGEFILE64_SOURCE .. */
-
-#endif /* __STDC__ */
-
 #define	_XFTWVER	2	/* version of file tree walk */
 
 #define	ftw(path, fn, depth)	_xftw(_XFTWVER, (path), (fn), (depth))
--- old/usr/src/head/getopt.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/getopt.h	Sat Aug  2 23:27:05 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -32,8 +34,6 @@
 #ifndef	_GETOPT_H
 #define	_GETOPT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -67,7 +67,6 @@
 /*
  * The use of getopt_long_only in new development is strongly discouraged.
  */
-#ifdef __STDC__
 extern int	getopt_long(int, char * const *, const char *,
 		    const struct option *, int *);
 extern int	getopt_long_only(int, char * const *, const char *,
@@ -74,11 +73,6 @@
 		    const struct option *, int *);
 extern int	getopt_clip(int, char * const *, const char *,
 		    const struct option *, int *);
-#else   /* __STDC__ */
-extern int	getopt_long();
-extern int	getopt_long_only();
-extern int	getopt_clip();
-#endif  /* __STDC__ */
 
 #ifdef __cplusplus
 }
--- old/usr/src/head/getwidth.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/getwidth.h	Sat Aug  2 23:27:05 2014
@@ -21,6 +21,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1989 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef	_GETWIDTH_H
 #define	_GETWIDTH_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <euc.h>
 
 #ifdef	__cplusplus
@@ -39,11 +39,7 @@
 extern "C" {
 #endif
 
-#ifdef	__STDC__
 extern void getwidth(eucwidth_t *);
-#else	/* __STDC__ */
-extern void getwidth();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/glob.h	Sat Aug  2 23:27:05 2014
+++ new/usr/src/head/glob.h	Sat Aug  2 23:27:05 2014
@@ -21,6 +21,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright 1985, 1992 by Mortice Kern Systems Inc.  All rights reserved.
  */
 
@@ -159,19 +160,10 @@
 #define	globfree	_globfree_ext
 #endif /* __PRAGMA_REDEFINE_EXTNAME */
 
-#if defined(__STDC__)
-
 extern int glob(const char *_RESTRICT_KYWD, int, int(*)(const char *, int),
 		glob_t *_RESTRICT_KYWD);
 extern void globfree(glob_t *);
 
-#else /* __STDC__ */
-
-extern int glob();
-extern void globfree();
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
